Create an SaaS account
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"provisioningType": "invite",
"licenses": [
"license1",
"license2"
]
},
"workflowRunId": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts"
payload = {
"data": {
"provisioningType": "invite",
"licenses": ["license1", "license2"]
},
"workflowRunId": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {provisioningType: 'invite', licenses: ['license1', 'license2']},
workflowRunId: '123e4567-e89b-12d3-a456-426614174000'
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "1"
}{
"items": [
{
"field": "<string>",
"message": "<string>"
}
]
}Workspace Accounts
Create an SaaS account
deprecated
This endpoint is deprecated. Please use the /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts endpoint instead.
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
workspace
/
{workspaceId}
/
accounts
Create an SaaS account
承認
クエリパラメータ
利用可能なオプション:
en, ja ボディ
application/json
To create an account for a workspace, following are the steps:
- Step 1:
GET /workspaces/:workspaceId/provisioning-metaThis returns a list of fields. - Step 2:
POST /workspaces/:workspaceId/accountsMake a request based on the meta response from the previous step. - Step 3:
GET /requests/:requestIdUse requestId from previous step to check status
Continue polling this API until status changes to “finished” or “failed”. There will be a rate limit on this API, so please use an interval of 1s.
例:
{
"provisioningType": "invite",
"licenses": ["license1", "license2"]
}The ID of the workflow run.
例:
"123e4567-e89b-12d3-a456-426614174000"
レスポンス
例:
"1"
最終更新日 2026年7月10日
⌘I

